WAIT(1)

NAME
wait - await completion of process

SYNOPSIS
wait

DESCRIPTION
Wait until all processes started with & have completed, and report on abnormal terminations.

Because the wait(2) system call must be executed in the parent process, the Shell itself executes wait, without creating a new process.

SEE ALSO
sh(1)

BUGS
Not all the processes of a 3- or more-stage pipeline are children of the Shell, and thus can't be waited for. (This bug does not apply to csh(1).)